<div class='container text-center'>
    {% if menu_item == 'stats' %}
        <p>Language: {{entity.language}}</p>
        <span class='badge badge-secondary'>Appears on:</span>
        {% for page in entity.pages.all %}
            <span class='badge badge-light'>{{page}}</span>
        {% endfor %}
    {% endif %}
    {% if menu_item == 'coo_persons' or menu_item == 'cooccurrence' %}
    <div class='container'>
        <form method="POST" id='filter-form'>
            {% csrf_token %}
            <input type="hidden" name="entity_pk" value="{{entity.pk}}">
            <div class="form-check form-check-inline">
                <input name='toggles[]' class="form-check-input toggle-entity" type="checkbox" id="toggle-person" value="Person" {% if 'Person' in toggles %}checked="checked"{% endif %}>
                <label class="form-check-label" for="toggle-person" style='color:#A6262E'>Persons</label>
            </div>
            <div class="form-check form-check-inline">
                <input name='toggles[]' class="form-check-input toggle-entity" type="checkbox" id="toggle-place" value="Place" {% if 'Place' in toggles %}checked="checked"{% endif %}>
                <label class="form-check-label" for="toggle-place" style='color:#448866'>Places</label>
            </div>
            <div class="form-check form-check-inline">
                <input name='toggles[]' class="form-check-input toggle-entity" type="checkbox" id="toggle-organisation" value="Organisation" {% if 'Organisation' in toggles %}checked="checked"{% endif %}>
                <label class="form-check-label" for="toggle-organisation" style='color:#40658C'>Organisations</label>
            </div>
            <div class="form-check form-check-inline">
                <input name='toggles[]' class="form-check-input toggle-entity" type="checkbox" id="show-term" value="Term" {% if 'Term' in toggles %}checked="checked"{% endif %}>
                <label class="form-check-label" for="show-term" style='color:#948410'>Terms</label>
            </div>
            <div class="form-group mt-2 w-50 container justify-content-center">
                <select name='Batch' class="form-control" id="exampleFormControlSelect1">
                <option value="0"  {% if current_batch == None %}selected="selected"{% endif %}>All Batches</option>
                {% for batch in batches %}
                    <option value="{{batch.pk}}" {% if batch == current_batch %}selected="selected"{% endif %}>{{batch}}</option>
                {% endfor %}
                </select>
            </div>
        </form>
    </div>
        <div id='notification' class='text-left alert alert-primary d-none'>This entity is not present in this batch. Please select a different one.</div>
        <div id='cy' class='container-fluid text-left h-75'></div>
        <script>        
            $( function() {                    
                var cy = cytoscape({
                    container: document.getElementById('cy'),
                    //elements: {
                    //    nodes: [
                    //        {
                    //            data: { id: '{{entity}}' },
                    //            classes: ['center-{{entity.term_type}}','center-node'],
                    //            position: {x: '100px', y: '200px'}
                    //        },
                    //    ]
                    //},
                    style: [
                        {
                        selector: 'node',
                        style: {
                            'label': 'data(id)',
                            padding: '80%',
                            "text-valign": "center",
                            "text-halign": "center",
                            "text-outline-width": '2px',
                            "text-outline-color": '#eee',
                            "color": 'white',
                            'background-color': '#EFF2C0',
                            "border-color": '#999999',
                            width: '60px',
                            height: '60px',
                            'background-blacken': '-0.2',
                            'border-width': '3px',
                            'text-wrap': 'wrap',
                            'text-max-width': '70px'
                            }
                        },
                        {
                        selector: '.Page',
                        style: {
                            'label': 'data(id)',
                            'border-width': '3px',
                            "color": '#333',
                            "text-outline-width": '0px',
                            'font-size': '13px'
                        }
                        },
                        {
                        selector: '.center-node',
                        style: {
                            'label': 'data(id)',
                            //'background-blacken': '-0.6',
                            width: '100px',
                            height: '100px',
                            'border-width': '3px',
                            'font-size': '20px',
                            //'border-style': 'double'
                            "background-blacken": '0.1'
                        }
                        },
                        {
                        selector: '.Person',
                        style: {
                            'label': 'data(id)',
                            'background-color': '#DB3069',
                            'border-color': '#430F13',
                            "text-outline-color": '#741A20',
                        }
                        },
                        {
                        selector: '.center-Person',
                        style: {
                            'label': 'data(id)',
                            'background-color': '#DB3069',
                            'border-color': '#430F13',
                            "text-outline-color": '#741A20',
                        }
                        },
                        {
                        selector: '.Place',
                        style: {
                            'label': 'data(id)',
                            'background-color': '#77BA99',
                            'border-color': '#1B3629',
                            "text-outline-color": '#29513D',
                        }
                        },
                        {
                        selector: '.center-Place',
                        style: {
                            'label': 'data(id)',
                            'background-color': '#77BA99',
                            'border-color': '#1B3629',
                            "text-outline-color": '#29513D',
                        }
                        },
                        {
                        selector: '.Organisation',
                        style: {
                            'label': 'data(id)',
                            'background-color': '#40658C',
                            'border-color': '#203246',
                            "text-outline-color": '#2D4762',
                        }
                        },
                        {
                        selector: '.center-Organisation',
                        style: {
                            'label': 'data(id)',
                            'background-color': '#4F7CAC',
                            'border-color': '#273C54',
                            "text-outline-color": '#2D4762',
                        }
                        },
                        {
                        selector: '.Term',
                        style: {
                            'label': 'data(id)',
                            'background-color': '#CCA114',
                            'border-color': '#4A3B07',
                            "text-outline-color": '#494208',
                        }
                        },
                        {
                        selector: '.center-Term',
                        style: {
                            'label': 'data(id)',
                            'background-color': '#CCA114',
                            'border-color': '#4A3B07',
                            "text-outline-color": '#494208',
                        }
                        },

                    ]
                    }); 

                    cy.on('tap', '.entity', function(){
                        try { // your browser may block popups
                            window.location.href = this.data('href');
                        } catch(e){ // fall back on url change
                            window.location.href = this.data('href');
                        }
                    });
                    $("#filter-form").on( "submit", function( event ) {
                        event.preventDefault();
                        console.log('submit');
                        data = $( this ).serialize();
                        $.ajax({
                            url : "/ajax/entities/{{entity.pk}}/pull_network", // the endpoint
                            type : "POST", // http method
                            data : data, // data sent with the post request

                            // handle a successful response
                            success : function(json) {
                                cy.elements().remove();
                                //cy.$('.extra').remove();
                                if(json['page_els'].length == 1 ){
                                    $('#notification').removeClass("d-none");
                                    $('#cy').addClass("d-none");
                                    return
                                }else{
                                    $('#notification').addClass("d-none");
                                    $('#cy').removeClass("d-none");
                                }
                                cy.add(json['page_els']);
                                cy.add(json['match_els']);  
                                var layout = cy.layout({ name: 'cola', 
                                    infinite: true,
                                    fit: false,
                                    randomize: false, 
                                    nodeRepulsion: function( node ){ return 4126; }, 
                                    nestingFactor: 4.2,   
                                    initialTemp: 2000,
                                    idealEdgeLength: function( edge ){ return 64; },
                                    edgeElasticity: function( edge ){ return 64; },
                                    nodeRepulsion: function( node ){ return 4048; },
                                    nodeOverlap: 12,
                                    gravity: 8,
                                });
                                layout.run();
                            },

                            // handle a non-successful response
                            error : function(xhr,errmsg,err) {
                                $('#results').html("<div class='alert-box alert radius' data-alert>Oops! We have encountered an error: "+errmsg+
                                    " <a href='#' class='close'>&times;</a></div>"); // add the error to the dom
                                console.log(xhr.status + ": " + xhr.responseText); // provide a bit more info about the error to the console
                            }
                        });
                    });

                $('#filter-form input, select').on('change', function(event){
                    event.preventDefault();
                    $('#filter-form').submit();
                });
                $("#filter-form").submit();

            });
        </script>
    {% endif %}
</div>